Subject: question on raw sockets and source IP address validation

From: "Chris Friesen" <[email-masked]>
Date: Thu, 24 Sep 2009 11:53:39 -0600

Hi all,

Normally when sending a packet on a SOCK_RAW socket the source IP
address is validated against the addresses configured on the host.  If
the address isn't configured, the packet isn't sent.

This can be avoided by setting IP_HDRINCL, but then the app needs to
handle all the fragmentation itself.

Is there any way to bypass the source address validation without IP_HDRINCL?

Thanks,

Chris